%define infinity_version 0.5.0

Name:           gedit-collaboration
Version:        3.0.0
Release:        1%{?dist}
Summary:        Collaboration plugin for gedit

Group:          Applications/Editors
License:        GPLv3
URL:            http://projects.gnome.org/gedit
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-collaboration/3.0/%{name}-%{version}.tar.xz

BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  cairo-devel
BuildRequires:  atk-devel
BuildRequires:  intltool
BuildRequires:  libpeas-devel
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel
BuildRequires:  autoconf, automake, libtool
BuildRequires:  libinfinity-devel >= %{infinity_version}
BuildRequires:  libinfinity-gtk-devel >= %{infinity_version}
# for glib-compile-schemas
Requires: glib2 >= 2.27.4

%description
Collaboration plugin that provides support for collaborative editing in gedit.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name
find $RPM_BUILD_ROOT/%{_libdir}/gedit/plugins -name "*.la" -exec rm {} \;

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas || :

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_libdir}/gedit/plugins/*
%dir %{_datadir}/gedit/plugins/collaboration
%{_datadir}/gedit/plugins/collaboration/*
%{_datadir}/glib-2.0/schemas/*.xml


%changelog
* Thu Jun  2 2011 Tomas Bzatek <tbzatek@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Sun Apr 03 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 2.91.1-1
- Initial version 2.91.1.
